# StepElement_HSequenceOfCurveElementSectionDefinition.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepElement_HSequenceOfCurveElementSectionDefinition.hxx>`
`#include <StepElement_SequenceOfCurveElementSectionDefinition.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepElement_CurveElementSectionDefinition.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepElement_CurveElementSectionDefinition
#define | Item_hxx <StepElement_CurveElementSectionDefinition.hxx>
#define | TheSequence StepElement_SequenceOfCurveElementSectionDefinition
#define | TheSequence_hxx <StepElement_SequenceOfCurveElementSectionDefinition.hxx>
#define | TCollection_HSequence StepElement_HSequenceOfCurveElementSectionDefinition
#define | TCollection_HSequence_hxx <StepElement_HSequenceOfCurveElementSectionDefinition.hxx>
#define | Handle_TCollection_HSequence Handle_StepElement_HSequenceOfCurveElementSectionDefinition
#define | TCollection_HSequence_Type_() StepElement_HSequenceOfCurveElementSectionDefinition_Type_()

## Functions

Handle_StepElement_HSequenceOfCurveElementSectionDefinition | ShallowCopy (const Handle_StepElement_HSequenceOfCurveElementSectionDefinition &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepElement_HSequenceOfCurveElementSectionDefinition

#define Item Handle_StepElement_CurveElementSectionDefinition

#define Item_hxx <StepElement_CurveElementSectionDefinition.hxx>

#define TCollection_HSequence StepElement_HSequenceOfCurveElementSectionDefinition

#define TCollection_HSequence_hxx <StepElement_HSequenceOfCurveElementSectionDefinition.hxx>

#define TCollection_HSequence_Type_ | (

)

StepElement_HSequenceOfCurveElementSectionDefinition_Type_()

#define TheSequence StepElement_SequenceOfCurveElementSectionDefinition

#define TheSequence_hxx <StepElement_SequenceOfCurveElementSectionDefinition.hxx>

## Function Documentation

Handle_StepElement_HSequenceOfCurveElementSectionDefinition ShallowCopy | ( | const Handle_StepElement_HSequenceOfCurveElementSectionDefinition & | me | ) | `[inline]`